/**
 * $RCSfile: SampleTLS.java,v $
 * version $Revision: 1.9 $
 * created 03.07.2007 13:36:23 by kunina
 * last modified $Date: 2008/07/08 08:43:32 $ by $Author: kunina $
 * (C)  - 2004-2007.
 *
 *  ,    , 
 *   .      
 *         .
 *
 *       
 *   .  -   
 *     .
 */
package JTLS_samples;

import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *    TLS.
 *
 * @author Copyright 2004-2007 Crypto-Pro. All rights reserved.
 * @.Version
 */
public class SampleTLS {
/**
 *
 */
private SampleTLS() {
}

/**
 * @param args /
 * @throws IOException  -
 */
public static void main(String[] args) throws IOException {

    final int sslPort = 8443;
    Server server = null;
    try {
//        System.setProperty("javax.net.ssl.supportGVO","true");
        //  
        System.setProperty("javax.net.ssl.keyStoreType", "HDImageStore");
        System.setProperty("javax.net.ssl.keyStorePassword", "1");
        //  
        System.setProperty("javax.net.ssl.trustStoreType", "HDImageStore");
        System.setProperty("javax.net.ssl.trustStore",
                "C:\\test\\empty.store");
        System.setProperty("javax.net.ssl.trustStorePassword", "1");

        server = new Server(sslPort, false, "C:\\test\\serverDir");
        server.setTimeout(100000);
        server.start();

        final Client client = new Client("localhost", sslPort);
        client.setTimeout(100000);
        client.get("myDoc.txt", "out.html", null);

        if (!server.isAlive())
            throw new IOException();
    } catch (Exception e) {
        Logger.getLogger("LOGGER").log(Level.SEVERE, e.toString());
        //e.printStackTrace();
    } finally {
        if (server != null)
            server.stop();
    }


}
}
