/**
 * $RCSfile: DownloadPane.java,v $
 * version $Revision: 1.1 $
 * created 06.06.2008 18:06:42 by kunina
 * last modified $Date: 2009/03/24 06:32:44 $ by $Author: kunina $
 * (C)  - 2004-2008.
 *
 *  ,    , 
 *   .     
 *         .
 *
 *       
 *   .  -   
 *     .
 */
package Applet_samples.AppletNew;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.MalformedURLException;
import java.net.URL;

/**
 *     .
 *
 * @author Copyright 2004-2008 Crypto-Pro. All rights reserved.
 * @.Version
 */
public class DownloadPane {
private JPanel page;
private JButton loadButton;
private JTextPane text;
private GridBagConstraints gbc;

/**
 * 
 */
public DownloadPane() {
    setupUI();
    text.setBackground(page.getBackground());
    loadButton.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent e) {
            try {
                final URL u =
                        new URL("http://www.cryptopro.ru/cryptopro/products/jcp/");
                AppletNew.context.showDocument(u);
            }
            catch (MalformedURLException e1) {
                e1.printStackTrace();
            }
        }
    });
}

/**
 *    
 *
 * @return 
 */
protected JComponent getRootComponent() {
    return page;
}

/**
 *   TextArea
 *
 * @param s 
 */
protected void setText(String s) {
    text.setText(s);
}

/**
 *  
 */
private void setupUI() {
    page = new JPanel();
    page.setLayout(new GridBagLayout());
    loadButton = new JButton();
    loadButton.setText("download JCP");
    gbc = new GridBagConstraints();
    gbc.gridx = 0;
    gbc.gridy = 1;
    gbc.fill = 2;
    gbc.insets = new Insets(0, 5, 5, 5);
    page.add(loadButton, gbc);
    text = new JTextPane();
    text.setText("");
    gbc = new GridBagConstraints();
    gbc.gridx = 0;
    gbc.gridy = 0;
    gbc.fill = 1;
    gbc.insets = new Insets(5, 5, 5, 5);
    page.add(text, gbc);
}
}
