@rem
@rem Copyright 2004-2008 Crypto-Pro. All rights reserved.
@rem    , 
@rem   -.
@rem
@rem        ,
@rem ,    ,
@rem     ,
@rem ,      
@rem     
@rem     -.
@rem
@rem ---------------------------------------------------
@rem
@rem    JCP v.1.0
@rem 
@rem :
@rem   uninstall.bat <__JRE>
@rem
@rem :
@rem   uninstall.bat "E:\Program Files\Java\jdk1.5.0\jre"
@rem

@if not "-%~1"=="-" @goto :checkjcpinst
@echo USAGE:
@echo   uninstall.bat path_to_JRE
@echo Example:
@echo   uninstall.bat "E:\Program Files\Java\jdk1.5.0\jre"
@goto :EOF

:checkjcpinst
@echo Params: %*
@set DISTPATH=%~dp0
@if exist "%DISTPATH%\JCPinst.jar" @goto :settempdir
@echo Script must be in the installer folder
@goto :ERROR

:settempdir
@set DELFILESLST=
@if not "-%TMP%"=="-" @set DELFILESLST=%TMP%\delfiles.lst
@if not "-%TEMP%"=="-" @set DELFILESLST=%TEMP%\delfiles.lst
@if not "-%TMPDIR%"=="-" @set DELFILESLST=%TMPDIR%\delfiles.lst
@if not "-%DELFILESLST%"=="-" @goto :setdelfileslst
@echo Temporary directory is not set
@goto :ERROR

:setdelfileslst
@if not exist "%DELFILESLST%" @goto :setjavacmd
@del /q /f "%DELFILESLST%"

:setjavacmd
@set JAVACMD=java
@set JREDIR=
@if not "-%~1"=="-" @set JREDIR=%~1
@if not "-%JREDIR%"=="-" @goto :checkjre
@goto :uninstall

:checkjre
@set JAVACMD="%JREDIR%\bin\java.exe"
@if exist %JAVACMD% @goto :uninstall
@echo File not found: %JAVACMD%
@goto :ERROR

:uninstall
@%JAVACMD% -version
@echo ---- Uninstall started
@%JAVACMD% -cp "%DISTPATH%\JCPinst.jar" ru.CryptoPro.Install.VariantOne -uninstall all -verbose -rmsetting -skipfiles "%DELFILESLST%"
@if "%errorlevel%"=="0" @goto :dellist
@echo Uninstall failed
@goto :ERROR

:dellist
@if not exist %DELFILESLST% @goto :hard_delete
@for /F "tokens=*" %%i IN (%DELFILESLST%) DO @del /q /f "%%i"
@for /F "tokens=*" %%i IN (%DELFILESLST%) DO @if exist "%%i" @goto :stopjava
@del /q /f "%DELFILESLST%"

:hard_delete
@if "-%JREDIR%"=="-" @goto :uninstallend
@echo ---- Hard delete started
@echo ---- Hard delete started at %DATE% %TIME%
@del /q /f "%JREDIR%\lib\ext\JCP.jar"
@del /q /f "%JREDIR%\lib\ext\ASN1P.jar"
@del /q /f "%JREDIR%\lib\ext\forms_rt.jar"
@del /q /f "%JREDIR%\lib\ext\asn1rt.jar"
@del /q /f "%JREDIR%\lib\ext\JCP.jar"
@del /q /f "%JREDIR%\lib\ext\Oscar.jar"
@del /q /f "%JREDIR%\lib\ext\JCryptoP.jar"
@del /q /f "%JREDIR%\lib\ext\JCPinst.jar"
@del /q /f "%JREDIR%\lib\ext\JCPxml.jar"
@del /q /f "%JREDIR%\lib\ext\JCPRequest.jar"
@del /q /f "%JREDIR%\lib\ext\JCP_CMS.jar"
@del /q /f "%JREDIR%\lib\ext\cpSSL.jar"
@del /q /f "%JREDIR%\lib\ext\Util.jar"
@del /q /f "%JREDIR%\lib\ext\OCF.jar"
@del /q /f "%JREDIR%\lib\ext\JCPRevCheck.jar"
@del /q /f "%JREDIR%\lib\ext\JCPRevTools.jar"

@if exist "%JREDIR%\lib\ext\JCP.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\ASN1P.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\forms_rt.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\asn1rt.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\JCP.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\Oscar.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\JCryptoP.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\JCPinst.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\JCPxml.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\JCPRequest.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\JCP_CMS.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\cpSSL.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\Util.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\OCF.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\JCPRevCheck.jar" @goto :stopjava
@if exist "%JREDIR%\lib\ext\JCPRevTools.jar" @goto :stopjava
@echo ---- Hard delete finished
@goto :uninstallend

:stopjava
@echo ---- Warning
@echo JVM is running or jar-files are locked
@echo Stop all processes that use Java and retry
@goto :ERROR

:uninstallend
@echo ---- Uninstall finished
@echo ---- Script SUCCEEDED
@goto :EOF

:ERROR
@echo ---- Script ERROR
@goto :EOF
